1 - Check duplicate name

1.1 - 1.1

post /v1/certificatemanager/check-duplication

Description

인증서 이름 중복 여부

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateDuplicateRequest

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"

Request body

{
    "name": ""
}

Example HTTP response

Response 200

{
    "result": true
}

1.2 - 1.0

post /v1/certificatemanager/check-duplication

Description

인증서 이름 중복 여부

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateDuplicateRequest

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/check-duplication

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"

Request body

{
    "name": ""
}

Example HTTP response

Response 200

{
    "result": true
}

2 - Create a certificate

2.1 - 1.1

post /v1/certificatemanager

Description

인증서 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCertificateCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"

Request body

{
    "cert_body": "<encoded certificate body data>",
    "cert_chain": "<encoded certificate chain data>",
    "name": "test-certificate",
    "private_key": "<encoded private key data>",
    "recipients": [
        {
            "region": "",
            "user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
            "user_name": "kildong.hong"
        }
    ],
    "region": "west1",
    "tags": [],
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "PRD",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "recipients": [
            {
                "region": "",
                "user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
                "user_name": "kildong.hong"
            }
        ],
        "state": "VALID",
        "tags": [],
        "user_name": "kildong@samsung.com"
    }
}

2.2 - 1.0

post /v1/certificatemanager

Description

인증서 생성

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCertificateCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"

Request body

{
    "cert_body": "<encoded certificate body data>",
    "cert_chain": "<encoded certificate chain data>",
    "name": "test-certificate",
    "private_key": "<encoded private key data>",
    "recipients": [
        {
            "region": "",
            "user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
            "user_name": "kildong.hong"
        }
    ],
    "region": "west1",
    "tags": [],
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "PRD",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "recipients": [
            {
                "region": "",
                "user_id": "sdaFDQSDADZ2488e195c0e97d9b9eb",
                "user_name": "kildong.hong"
            }
        ],
        "state": "VALID",
        "tags": [],
        "user_name": "kildong@samsung.com"
    }
}

3 - Delete a certificate

3.1 - 1.1

delete /v1/certificatemanager/{certificate_id}

Description

인증서 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcertificate_id
required
인증서 id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
204No ContentNone
403ForbiddenNone

Example HTTP request

Request path

/v1/certificatemanager/{certificate_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"

Example HTTP response

Response 200

3.2 - 1.0

delete /v1/certificatemanager/{certificate_id}

Description

인증서 삭제

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathcertificate_id
required
인증서 id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
204No ContentNone
403ForbiddenNone

Example HTTP request

Request path

/v1/certificatemanager/{certificate_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"

Example HTTP response

Response 200

4 - Detail a certificate

4.1 - 1.1

get /v1/certificatemanager/{certificate_id}

Description

인증서 상세정보

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcertificate_id
required
인증서 id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCertificateDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/{certificate_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"

Example HTTP response

Response 200

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "DEV",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "state": "VALID",
        "user_name": "2048"
    }
}

4.2 - 1.0

get /v1/certificatemanager/{certificate_id}

Description

인증서 상세정보

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathcertificate_id
required
인증서 id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCertificateDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/{certificate_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"

Example HTTP response

Response 200

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "DEV",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "state": "VALID",
        "user_name": "2048"
    }
}

5 - List certificates

5.1 - 1.1

get /v1/certificatemanager

Description

인증서 리스트

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
사용자가 등록한 인증서인지 확인 여부
Example : False
any of [boolean, null]False
queryname
optional
인증서 이름
Example : test-certificate
any of [string, null]None
querycn
optional
인증서 CN 정보
Example : test.go.kr
any of [string, null]None
querystate
optional
인증서 상태
Example : VALID
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCertificateListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"

Example HTTP response

Response 200

{
    "certificates": [
        {
            "cert_kind": "PRD",
            "cn": "test.go.kr",
            "id": "",
            "name": "test-certificate",
            "not_after_dt": "2026-02-07T18:07:59",
            "not_before_dt": "2025-02-08T18:07:00",
            "state": "VALID"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

5.2 - 1.0

get /v1/certificatemanager

Description

인증서 리스트

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
사용자가 등록한 인증서인지 확인 여부
Example : False
any of [boolean, null]False
queryname
optional
인증서 이름
Example : test-certificate
any of [string, null]None
querycn
optional
인증서 CN 정보
Example : test.go.kr
any of [string, null]None
querystate
optional
인증서 상태
Example : VALID
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCertificateListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"

Example HTTP response

Response 200

{
    "certificates": [
        {
            "cert_kind": "PRD",
            "cn": "test.go.kr",
            "id": "",
            "name": "test-certificate",
            "not_after_dt": "2026-02-07T18:07:59",
            "not_before_dt": "2025-02-08T18:07:00",
            "state": "VALID"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

6 - Self-sign a certificate

6.1 - 1.1

post /v1/certificatemanager/self-sign

Description

인증서 자체 서명

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SelfSignCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCertificateDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/self-sign

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"

Request body

{
    "cn": "test.go.kr",
    "name": "test-certificate",
    "not_after_dt": "20251212",
    "not_before_dt": "20250101",
    "organization": "samsungSDS",
    "recipients": [],
    "region": "west1",
    "tags": [],
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "DEV",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "state": "VALID",
        "user_name": "2048"
    }
}

6.2 - 1.0

post /v1/certificatemanager/self-sign

Description

인증서 자체 서명

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SelfSignCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCertificateDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/self-sign

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"

Request body

{
    "cn": "test.go.kr",
    "name": "test-certificate",
    "not_after_dt": "20251212",
    "not_before_dt": "20250101",
    "organization": "samsungSDS",
    "recipients": [],
    "region": "west1",
    "tags": [],
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "certificate": {
        "account_id": "b82909b3576449fda984fb25c3123542da",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "DEV",
        "cert_type": "pem",
        "cert_version": "2",
        "cn": "test.go.kr",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "key_bit_size": "2048",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "test-certificate",
        "not_after_dt": "2026-02-07T18:07:59",
        "not_before_dt": "2025-02-08T18:07:00",
        "organization": "samsungSDS",
        "private_key": "",
        "state": "VALID",
        "user_name": "2048"
    }
}

7 - Validate a certificate

7.1 - 1.1

post /v1/certificatemanager/check-validation

Description

인증서 검증

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateValidateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKCertificateValidateResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/check-validation

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.1"

Request body

{
    "cert_body": "<encoded certificate body data>",
    "cert_chain": "<encoded certificate chain data>",
    "private_key": "<encoded private key data>"
}

Example HTTP response

Response 200

{
    "validate_check": ""
}

7.2 - 1.0

post /v1/certificatemanager/check-validation

Description

인증서 검증

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateValidateRequest

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/check-validation

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = certificatemanager 1.0"

Request body

{
    "cert_body": "<encoded certificate body data>",
    "cert_chain": "<encoded certificate chain data>",
    "is_need_cert_chain": "True",
    "private_key": "<encoded private key data>"
}

Example HTTP response

Response 200

{
    "result": true
}